wibble::list Namespace Reference

## Classes

struct | ListIterator
struct | Sorted
struct | Filtered
struct | Unique
struct | Take
struct | Map
struct | Empty
struct | Singular
struct | Append

## Functions

template<typename X >
Singular< X > | singular (const X &x)
template<typename X , typename Y >
Append< X, Y > | append (const X &x, const Y &y)
template<typename List >
size_t | count (List l)
template<typename List , typename F >
void | foreach (List l, F f)
template<typename List , template< typename > class F>
void | foreach (List l, F< typename List::Type > f)
template<typename List , typename Pred >
Filtered< List, Pred > | filter (List l, Pred p)
template<typename List , template< typename > class Pred>
Filtered< List, Pred< List > > | filter (List l, Pred< List > p)
template<typename List , typename F >
Map< List, F > | map (const List &l, const F &f)
template<typename List >
Sorted< List > | sort (List l)
template<typename List >
Unique< List > | unique (List l)
template<typename List >
Take< List > | take (int t, List l)
template<typename List >
List | drop (int t, List l)
template<typename List , typename Out >
void | output (List l, Out it)
template<typename List >
ListIterator< List > | begin (List l)
template<typename List >
ListIterator< List > | end (List)

## Function Documentation

## append()

template<typename X , typename Y >

Append< X, Y > wibble::list::append | ( | const X & | x,
|  | const Y & | y
| ) |  |

Referenced by TestList::append(), and TestList::appendCount().

## begin()

template<typename List >

ListIterator< List > wibble::list::begin | ( | List | l | ) |

Referenced by wibble::exception::AddContext::copyContext(), wibble::grcal::date::duration(), wibble::grcal::dtime::duration(), TestCommandlineCore::eraseAndAdvance(), wibble::str::join(), wibble::Lexer< Token, Stream >::match(), wibble::commandline::BoolOption::parse(), TestCommandlineOptions::Public< T >::parse(), wibble::commandline::Engine::parse(), Public< T >::parse(), wibble::commandline::SingleOption< T >::parse(), wibble::commandline::VectorOption< T >::parse(), wibble::commandline::Engine::parseFirstIfKnown(), wibble::commandline::Engine::parseKnownSwitches(), TestList::stl(), and wibble::net::http::Params::~Params().

## count()

template<typename List >

size_t wibble::list::count | ( | List | l | ) |

Referenced by TestList::appendCount(), TestList::count(), wibble::net::mime::Reader::discard_until_boundary(), TestList::filtered(), wibble::grcal::date::fromtm(), wibble::net::mime::Reader::read_line(), wibble::net::mime::Reader::read_until_boundary(), wibble::net::mime::Reader::readboundarytail(), TestList::sorted(), and TestList::unique().

## drop()

template<typename List >

List wibble::list::drop | ( | int | t,
|  | List | l
| ) |  |

## end()

template<typename List >

ListIterator< List > wibble::list::end | ( | List |  | ) |

Referenced by wibble::net::http::Params::add(), Main::child(), wibble::exception::AddContext::copyContext(), wibble::grcal::date::duration(), wibble::grcal::dtime::duration(), wibble::commandline::ArgList::eraseAndAdvance(), wibble::net::http::Params::field(), wibble::str::join(), wibble::Lexer< Token, Stream >::match(), wibble::net::http::Params::obtain_field(), wibble::Tokenizer::const_iterator::operator!=(), wibble::Tokenizer::const_iterator::operator*(), wibble::str::Split::const_iterator::operator++(), wibble::Tokenizer::const_iterator::operator==(), wibble::net::http::Request::path_info_head(), wibble::net::http::Request::pop_path_info(), wibble::sys::fs::readFile(), TestList::stl(), wibble::str::trim(), and wibble::net::http::Params::~Params().

## filter() [1/2]

template<typename List , typename Pred >

Filtered< List, Pred > wibble::list::filter | ( | List | l,
|  | Pred | p
| ) |  |

Referenced by TestList::filtered().

## filter() [2/2]

template<typename List , template< typename > class Pred>

Filtered< List, Pred< List > > wibble::list::filter | ( | List | l,
|  | Pred< List > | p
| ) |  |

## foreach() [1/2]

template<typename List , typename F >

void wibble::list::foreach | ( | List | l,
|  | F | f
| ) |  |

## foreach() [2/2]

template<typename List , template< typename > class F>

void wibble::list::foreach | ( | List | l,
|  | F< typename List::Type > | f
| ) |  |

## map()

template<typename List , typename F >

Map< List, F > wibble::list::map | ( | const List & | l,
|  | const F & | f
| ) |  |

Referenced by TestMMapV2::read(), and TestMMap::simple().

## output()

template<typename List , typename Out >

void wibble::list::output | ( | List | l,
|  | Out | it
| ) |  |

## singular()

template<typename X >

Singular< X > wibble::list::singular | ( | const X & | x | ) |

Referenced by TestList::append(), and TestList::single().

## sort()

template<typename List >

Sorted< List > wibble::list::sort | ( | List | l | ) |

Referenced by wibble::list::Sorted< List >::sort(), and TestList::sorted().

## take()

template<typename List >

Take< List > wibble::list::take | ( | int | t,
|  | List | l
| ) |  |

## unique()

template<typename List >

Unique< List > wibble::list::unique | ( | List | l | ) |

Referenced by TestList::unique().